Package org.eclipse.birt.report.model.api.metadata

# Interface IArgumentInfoList

All Known Implementing Classes:
  `ArgumentInfoList`, `ArgumentInfoList`

public interface IArgumentInfoList
Represents an optional argument list of a method.

## Method Summary

Modifier and Type
Method
Description
`Iterator<IArgumentInfo>`
`argumentsIterator()`
Returns the iterator of argument definition.
`IArgumentInfo`
`getArgument(String argumentName)`
Returns the argument definition given the name.

## Method Details

### getArgument

IArgumentInfo getArgument(String argumentName)
Returns the argument definition given the name.

Parameters:
  `argumentName` - name of the argument to get
Returns:
  the argument definition with the specified name.

### argumentsIterator

Iterator<IArgumentInfo> argumentsIterator()
Returns the iterator of argument definition. Each one is a list that contains `IArgumentInfo`.

Returns:
  iterator of argument definition.